Page MenuHomePhabricator

[LoopVectorize] Make hasVectorInstrinsicScalarOpd inline
ClosedPublic

Authored by anemet on Jan 29 2015, 4:53 PM.

Details

Summary

VectorUtils.h needs to be included in LoopAccessAnalysis.cpp for
getIntrinsicIDForCall but hasVectorInstrinsicScalarOpd is not used by this
module.

NFC. This is part of the patchset that splits out the memory dependence logic
from LoopVectorizationLegality into a new class LoopAccessAnalysis.
LoopAccessAnalysis will be used by the new Loop Distribution pass.

Diff Detail

Event Timeline

anemet updated this revision to Diff 19012.Jan 29 2015, 4:53 PM
anemet retitled this revision from to [LoopVectorize] Make hasVectorInstrinsicScalarOpd inline.
anemet updated this object.
anemet edited the test plan for this revision. (Show Details)
anemet added reviewers: hfinkel, aschwaighofer.
anemet added a subscriber: Unknown Object (MLST).
hfinkel accepted this revision.Jan 30 2015, 4:51 AM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jan 30 2015, 4:51 AM
anemet closed this revision.Feb 2 2015, 11:56 AM

r227753